Skip to main content
PUT
Update Entry
🔑 Requires the catalog_entries.edit scope.

Authorizations

Authorization
string
header
required

API key from your incident.io dashboard (Settings → API keys)

Path Parameters

id
string
required

ID of this catalog entry

Example:

"01FCNDV6P870EA6S7TK1DSYDG0"

Body

application/json
attribute_values
object
required

Values of this entry

Example:
name
string
required

Name is the human readable name of this entry

Example:

"Primary On-call"

aliases
string[]

Optional aliases that can be used to reference this entry

Example:
custom_aliases
string[]

Aliases your organisation has added to an entry of a catalog type that incident.io syncs, such as a schedule or escalation path, which you can't change aliases on directly. Syncs keep them, and they are also listed in aliases. When you update an entry, omit this or send null to keep its current custom aliases, send an empty list to clear them, or send a list to replace them.

Example:
external_id
string

An optional alternative ID for this entry, which is ensured to be unique for the type

Example:

"761722cd-d1d7-477b-ac7e-90f9e079dc33"

rank
integer<int32>

When catalog type is ranked, this is used to help order things

Example:

3

update_attributes
string[]

If provided, only update these attribute_values keys. If not provided, update all attribute values. If you specify an attribute key that's not in your payload, the associated attribute value will be cleared.

Example:

Response

OK response.

catalog_entry
object
required
catalog_type
object
required